Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Gsm is an implementation of the final draft GSM 06.10 standard
Name:		gsm
Version:	1.0.13
Release:	3
License:	Free
URL:		http://kbs.cs.tu-berlin.de/~jutta/toast.html
Group:		System/Libraries
Source0:	http://www.c-lfs.de/download/c-lfs/pakete/%{name}-%{version}.tar.gz
Patch0:		gsm-1.0.13-makefile.patch
Patch1:		gsm-1.0.13-shared-lib.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Gsm is an implementation of the final draft GSM 06.10
standard for full-rate speech transcoding.

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-1.0-pl13
%patch0 -p1
%patch1 -p1

%build
make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_libdir,%_bindir,%_datadir,%{_includedir}/gsm,%{_mandir}/man1,%{_mandir}/man3}
make install INSTALL_ROOT=$RPM_BUILD_ROOT%_prefix

cp -p lib/libgsm.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -s libgsm.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libgsm.so.1
ln -s libgsm.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libgsm.so

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

chmod a+rw $RPM_BUILD_ROOT%{_libdir}/libgsm.a



%check 
[ -f $RPM_BUILD_ROOT%{_libdir}/libgsm.so.%{version} ]
make addtst

%files
%defattr (-, root, root)
%{_bindir}/toast
%{_bindir}/tcat
%{_bindir}/untoast
%{_mandir}/man1/toast.1.gz
%{_libdir}/libgsm.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/gsm/gsm.h
%{_libdir}/libgsm.a
%{_libdir}/libgsm.so
%{_mandir}/man3/gsm.3.gz
%{_mandir}/man3/gsm_explode.3.gz
%{_mandir}/man3/gsm_option.3.gz
%{_mandir}/man3/gsm_print.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-3
- adjusted header file position
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-2
- added shared library
* Tue Mar 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.13-1
- Version update
* Sat Aug 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.12-1
- Initial Release
